Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface DeploymentTaskRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, TaskRuntimeMBean, weblogic.management.WebLogicMBean

Deprecated. 9.0.0.0 Replaced by `weblogic.deploy.api.spi.WebLogicDeploymentManager`

public interface DeploymentTaskRuntimeMBean
extends TaskRuntimeMBean

Base interface for deployment task MBeans. These MBeans track the progress of a deployment task.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `APP_NOTIFICATION_LEVEL` Deprecated. Indicates only application level deployment notifications are propogated to the admin server.
`static int` | `DEFAULT_NOTIFICATION_LEVEL` Deprecated. The default notification level for deployments.
`static int` | `DEPLOY_TASK_ACTIVATE` Deprecated. Activation task.
`static int` | `DEPLOY_TASK_DEACTIVATE` Deprecated. Deactivate application.
`static int` | `DEPLOY_TASK_DEPLOY` Deprecated.
`static int` | `DEPLOY_TASK_DISTRIBUTE` Deprecated. Distributes application files to the target's staging area
`static int` | `DEPLOY_TASK_PREPARE` Deprecated. Prepare task.
`static int` | `DEPLOY_TASK_REDEPLOY` Deprecated. Redeploy unprepares, distribute and start an application on a target
`static int` | `DEPLOY_TASK_REMOVE` Deprecated. Remove application from target.
`static int` | `DEPLOY_TASK_START` Deprecated. Starts an already distributed application.
`static int` | `DEPLOY_TASK_STOP` Deprecated. Stop unprepares a deployed application on a target
`static int` | `DEPLOY_TASK_UNDEPLOY` Deprecated.
`static int` | `DEPLOY_TASK_UNPREPARE` Deprecated. Deactivate and unload classes for application from target.
`static int` | `DEPLOY_TASK_UPDATE` Deprecated. Updates a deployed application on a target.
`static int` | `MODULE_NOTIFICATION_LEVEL` Deprecated. Indicates application and module level deployment notifications are propogated to the admin server.
`static int` | `NONE_NOTIFICATION_LEVEL` Deprecated. Indicates no deployment notifications are propogated to the admin server.
`static int` | `STATE_COMPLETED` Deprecated. Indicates the task completed successfully
`static int` | `STATE_DEFERRED` Deprecated.
`static int` | `STATE_FAILED` Deprecated. Indicates the task failed
`static int` | `STATE_INITIALIZED` Deprecated. Indicates the task has been created but not started.
`static int` | `STATE_RUNNING` Deprecated. Indicate the task is in progress

Method Summary
`void` | `cancel()` Deprecated. Attempts to cancel the task.
`weblogic.management.deploy.TargetStatus` | `findTarget(String target)` Deprecated. Lists the status for a specific target of this deployment.
`String` | `getApplicationName()` Deprecated. The name for the application that was specified to DeployerRuntime.activate
`weblogic.management.deploy.DeploymentData` | `getDeploymentData()` Deprecated. Provides the data associated with this task
`weblogic.management.configuration.BasicDeploymentMBean` | `getDeploymentMBean()` Deprecated.
`ApplicationMBean` | `getDeploymentObject()` Deprecated. Lists the Application MBean involved in this task.
`String` | `getId()` Deprecated. Provides a reference id assigned to a task.
`int` | `getNotificationLevel()` Deprecated. Provides the notification level applied to this task.
`String` | `getSource()` Deprecated. Provides the name of the source file that was specified to DeployerRuntime.activate.
`int` | `getState()` Deprecated. Provides notice of the overall state of this task.
`weblogic.management.deploy.TargetStatus[]` | `getTargets()` Deprecated. Provides target based deployment status information for this deployment.
`int` | `getTask()` Deprecated. Indicates a specific task associated with this MBean
`List` | `getTaskMessages()` Deprecated. Provides an ordered list of messages generated for the task.
`boolean` | `isInUse()` Deprecated. Indicates whether the MBean is free for deletion or timeout.
`boolean` | `isNewSource()` Deprecated. Indicates whether a new source for the application was specified in an deployment request.
`void` | `setNotificationLevel(int level)` Deprecated. Establishes a notification level for this task.
`void` | `start()` Deprecated. Initiates the request.

Methods inherited from interface weblogic.management.runtime.TaskRuntimeMBean
`getBeginTime, getDescription, getEndTime, getError, getParentTask, getStatus, getSubTasks, isRunning, isSystemTask`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### APP_NOTIFICATION_LEVEL

    public static final int APP_NOTIFICATION_LEVEL

  Deprecated.
  Indicates only application level deployment notifications are propogated to the admin server. This is the default notification level.

  See Also:
    `setNotificationLevel(int)`, Constant Field Values

### DEFAULT_NOTIFICATION_LEVEL

    public static final int DEFAULT_NOTIFICATION_LEVEL

  Deprecated.
  The default notification level for deployments.

  See Also:
    `setNotificationLevel(int)`, Constant Field Values

### DEPLOY_TASK_ACTIVATE

    public static final int DEPLOY_TASK_ACTIVATE

  Deprecated.
  Activation task. Deliver staged application to containers. After successful activation, the modules in the application are in an active state. An activate may be requested from any state: none, unprepared, prepared, active.

  See Also:
    Constant Field Values

### DEPLOY_TASK_DEACTIVATE

    public static final int DEPLOY_TASK_DEACTIVATE

  Deprecated.
  Deactivate application. Suspend application from containers. A deactivate may be requested from the following states: active

  See Also:
    Constant Field Values

### DEPLOY_TASK_DEPLOY

    public static final int DEPLOY_TASK_DEPLOY

  Deprecated.
  See Also:
    Constant Field Values

### DEPLOY_TASK_DISTRIBUTE

    public static final int DEPLOY_TASK_DISTRIBUTE

  Deprecated.
  Distributes application files to the target's staging area

  See Also:
    Constant Field Values

### DEPLOY_TASK_PREPARE

    public static final int DEPLOY_TASK_PREPARE

  Deprecated.
  Prepare task. Stage application to servers and configured for containers. After successful prepare, the modules in the application are in a prepared state. A prepare may be requested from the following states: none, unprepared or prepared.

  See Also:
    Constant Field Values

### DEPLOY_TASK_REDEPLOY

    public static final int DEPLOY_TASK_REDEPLOY

  Deprecated.
  Redeploy unprepares, distribute and start an application on a target

  See Also:
    Constant Field Values

### DEPLOY_TASK_REMOVE

    public static final int DEPLOY_TASK_REMOVE

  Deprecated.
  Remove application from target. Deactivates if necessary. Deletes staged files. A remove may be requested from the following states: unprepared, prepared, and active

  See Also:
    Constant Field Values

### DEPLOY_TASK_START

    public static final int DEPLOY_TASK_START

  Deprecated.
  Starts an already distributed application. Prepares and activates an already distributed application on a target

  See Also:
    Constant Field Values

### DEPLOY_TASK_STOP

    public static final int DEPLOY_TASK_STOP

  Deprecated.
  Stop unprepares a deployed application on a target

  See Also:
    Constant Field Values

### DEPLOY_TASK_UNDEPLOY

    public static final int DEPLOY_TASK_UNDEPLOY

  Deprecated.
  See Also:
    Constant Field Values

### DEPLOY_TASK_UNPREPARE

    public static final int DEPLOY_TASK_UNPREPARE

  Deprecated.
  Deactivate and unload classes for application from target. After successful unprepare, the modules in the application are in a staged(unprepared) state. An unprepare may be requested from the following states: prepared, and active

  See Also:
    Constant Field Values

### DEPLOY_TASK_UPDATE

    public static final int DEPLOY_TASK_UPDATE

  Deprecated.
  Updates a deployed application on a target.

  See Also:
    Constant Field Values

### MODULE_NOTIFICATION_LEVEL

    public static final int MODULE_NOTIFICATION_LEVEL

  Deprecated.
  Indicates application and module level deployment notifications are propogated to the admin server.

  See Also:
    `setNotificationLevel(int)`, Constant Field Values

### NONE_NOTIFICATION_LEVEL

    public static final int NONE_NOTIFICATION_LEVEL

  Deprecated.
  Indicates no deployment notifications are propogated to the admin server.

  See Also:
    `setNotificationLevel(int)`, Constant Field Values

### STATE_COMPLETED

    public static final int STATE_COMPLETED

  Deprecated.
  Indicates the task completed successfully

  See Also:
    Constant Field Values

### STATE_DEFERRED

    public static final int STATE_DEFERRED

  Deprecated.

  Indicates the task is deferred

  See Also:
    Constant Field Values

### STATE_FAILED

    public static final int STATE_FAILED

  Deprecated.
  Indicates the task failed

  See Also:
    Constant Field Values

### STATE_INITIALIZED

    public static final int STATE_INITIALIZED

  Deprecated.
  Indicates the task has been created but not started.

  See Also:
    Constant Field Values

### STATE_RUNNING

    public static final int STATE_RUNNING

  Deprecated.
  Indicate the task is in progress

  See Also:
    Constant Field Values

Method Detail

### cancel

    public void cancel()
                throws Exception

  Deprecated.

  Attempts to cancel the task. Any actions which have yet to start will be inhibited. Any completed actions will remain in place.

  Specified by:
    `cancel` in interface `TaskRuntimeMBean`
  Throws:
    `Exception`

### findTarget

    public weblogic.management.deploy.TargetStatus findTarget(String target)

  Deprecated.

  Lists the status for a specific target of this deployment.

  Parameters:
    `target` - is the name of a target (server or cluster name)
  Returns:

### getApplicationName

    public String getApplicationName()

  Deprecated.

  The name for the application that was specified to DeployerRuntime.activate

  Returns:
    The applicationName value

### getDeploymentData

    public weblogic.management.deploy.DeploymentData getDeploymentData()

  Deprecated.

  Provides the data associated with this task

  Returns:
    The deploymentData value

### getDeploymentMBean

    public weblogic.management.configuration.BasicDeploymentMBean getDeploymentMBean()

  Deprecated.
  Returns:
  Since:
    9.0.0.0

### getDeploymentObject

    public ApplicationMBean getDeploymentObject()

  Deprecated.

  Lists the Application MBean involved in this task. This returns the Admin MBean, the one based on config.xml, that applies to all servers this application is associated with.

  Returns:
    The deploymentObject value

### getId

    public String getId()

  Deprecated.

  Provides a reference id assigned to a task.

  Returns:
    The id value

### getNotificationLevel

    public int getNotificationLevel()

  Deprecated.

  Provides the notification level applied to this task.

  Returns:
    The notificationLevel value

### getSource

    public String getSource()

  Deprecated.

  Provides the name of the source file that was specified to DeployerRuntime.activate.

  Returns:
    The source value

### getState

    public int getState()

  Deprecated.

  Provides notice of the overall state of this task.

  Returns:
    The state value

### getTargets

    public weblogic.management.deploy.TargetStatus[] getTargets()

  Deprecated.

  Provides target based deployment status information for this deployment. For distributed deployment, there is one TargetStatus for each target

  Returns:
    The targets value

### getTask

    public int getTask()

  Deprecated.

  Indicates a specific task associated with this MBean

  Returns:
    value of task. e.g. DEPLOY_TASK_ACTIVATE

### getTaskMessages

    public List getTaskMessages()

  Deprecated.

  Provides an ordered list of messages generated for the task. Each member in the list is a String object.

### isInUse

    public boolean isInUse()

  Deprecated.

  Indicates whether the MBean is free for deletion or timeout.

  Returns:
    The inUse value

### isNewSource

    public boolean isNewSource()

  Deprecated.
  Indicates whether a new source for the application was specified in an deployment request.

### setNotificationLevel

    public void setNotificationLevel(int level)

  Deprecated.

  Establishes a notification level for this task. Deployment notifications are always sent to the local application MBean associated with this task, and are logged in the managed server log. The NotificationLevel attribute affects whether the notifications are also sent to the admin server. The valid levels are:

  none: no deployment notifications are sent to the admin server

  application: only application level notifications are sent to the admin server

  module: application and module level notifications are sent to the admin server

  Parameters:
    `level` - The new notificationLevel value
  See Also:
    `DeploymentNotification`, `NONE_NOTIFICATION_LEVEL`, `APP_NOTIFICATION_LEVEL`, `MODULE_NOTIFICATION_LEVEL`

### start

    public void start()
               throws weblogic.management.ManagementException

  Deprecated.

  Initiates the request. When invoking `DeployerRuntimeMBean.activate(String, String, String, DeploymentData, String, boolean)`, `DeployerRuntimeMBean.deactivate(String, DeploymentData, String, boolean)`, `DeployerRuntimeMBean.unprepare(String, DeploymentData, String, boolean)`, or `DeployerRuntimeMBean.remove(String, DeploymentData, String, boolean)` with the startTask option set to false, this method is used to initiate the task. throws ManagementException if task is already started or any failures occur during task processing.

  Throws:
    `weblogic.management.ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD